Subject: Dendrimer MD/MM, Coordinates.

From: [email-masked] (Gustavo A. Mercier, Jr.)
Date: Wed, 10 Apr 1996 11:23:36 -0500

Hi!

I am interested in MD/MM of dendrimers. I have a few questions since I am a
neophyte in this area :(. Specifically, I am looking for software/algorithms
that people may use to generate coordinates and perform these
simulations. As described below, common programs like amber and charmm
have their limitations when applied to these molecules.

Although I have some experience with programs like amber and charmm,
it is clear that these programs expect linear polymers. Unfortunately,
the starbust dendrimers of PAMAM are branched polymers with two
branches off the tail end.
                                          /
                    C ------------N
                  /                      \
     -C-----N
                 \                      /
                    C-----------N
                                        \

So, when you have a repeating unit like
               /
-C------N
               \

and try to specify the sequence you need a mechanism to tell the program
that two residues are attached to one! In amber the link program does not
allow for this, nor the sequence command allows for this under charmm.
A potential work around can be develop using patches in charmm.

In principle this means that you could start your sequence from generation g0,
that is, with a core and its first branches, then patch along to add the
repeating units.
                                              /
                          C----------N
                        /            /       \
core =         N---C---N
                       \            \          /
                          C-------------N
                                                 \

Have two patches, one for each branch point along the N's. Then loop again
moving to the next set of "residues". The looping mechanism is tricky, but
can be simplified by specifying the branches of the core using the segid,
and each repeating unit by a residue number. If the RTF has internal
coordinates specified, this can be used to generate coordinates!
(Thanks to Dr. Langley for reminding  me of charmm patches!)

Has anybody implemented this in a charmm script and is willing
to share it?

Is there another, possibly simpler solution using other software or
even within charmm.

Thanks for your help!

Bye

Gustavo A. Mercier, Jr. M.D.-Ph.D.
NIH - LDRR
OD OIR LDRR
Building 10 Room B1N256
10 Center Dr MSC 1074
Bethesda, Maryland 20892-1074
phone: 301-402-3586, 301-496-1981
fax:      301-402-3216
e-mail: [email-masked]